#!/bin/sh
#
# Copyright mcnobody
#
FAMILY_ID=6789
MAPNAME=${FAMILY_ID}0001
OVERVIEW_MAPNUMBER=${FAMILY_ID}0000
OSM_DATAFILE=data/snowmobile_latest.osm
OUTPUT_DIR=output
VERSION=`date +%Y%m%d`;
# Uncomment above to be more verbose
VERBOSE="--verbose"

java -jar tools/mkgmap-r2049/mkgmap.jar --output-dir=${OUTPUT_DIR} --draw-priority=256 --style-file=styles --style=kelkkareitit.fi --mapname=${MAPNAME} --transparent --lower-case --route --tdbfile --gmapsupp --family-id=${FAMILY_ID} --product-id=1 --product-version=${VERSION} --overview-mapname=kelkkareitit.fi --overview-mapnumber=${OVERVIEW_MAPNUMBER} --description=kelkkareitit.fi --family-name=kelkkareitit.fi --country-name=Finland --country-abbr=FIN --latin1 --input-file=${OSM_DATAFILE} ${VERBOSE} --draw-priority=100 styles/kelkkareitit.fi.TYP