#!/bin/sh
#
# Original version by HACY @ http://kelkkalehti.com/keskustelu
#
# Modified by mcnobody
#
DATE=`date +%Y-%m-%d`;
wget -O /tmp/$$_finland.osm.pbf http://download.geofabrik.de/osm/europe/finland.osm.pbf #2>/dev/null
tools/osmosis-0.39/bin/osmosis \
 --read-pbf /tmp/$$_finland.osm.pbf \
 --tf reject-relations \
 --tf reject-ways \
 --tf accept-nodes snowmobile=yes \
 outPipe.0=POI \
 --read-pbf /tmp/$$_finland.osm.pbf \
 --tf accept-relations route=snowmobile \
 --tf accept-ways snowmobile=official,designated,permissive,yes,private \
 --used-node \
 outPipe.0=RetW \
 --merge inPipe.0=POI inPipe.1=RetW \
 --write-xml data/snowmobile_${DATE}.osm # 2>/dev/null
ln -s -f snowmobile_${DATE}.osm data/snowmobile_latest.osm
rm -f /tmp/$$_finland.osm.pbf
